//
//  Button_FunViewController.m
//  Button-Fun
//
//  Created by cape on 4/23/11.
//  Copyright Mario Capellari 2011. All rights reserved.
//

#import "Button_FunViewController.h"

@implementation Button_FunViewController
@synthesize statusText;
/* @synthesize: this is how we tell the compiler to automatically create 
the accessor and mutator methods for us. by virtue of this code 
there are now two 'invisible' methods in our class: statusText and
setStatusText:. we didn't write them but they are there */

- (IBAction)buttonPressed:(id)sender {
	NSString *title = [sender titleForState:UIControlStateNormal];
    /* we need to provide a control state when we request the button's title 
    the possible states are: normal, highlighted, disabled and selected */
	
	NSString *newText = [[NSString alloc] initWithFormat:@"%@ button pressed.", title];
	/* here we create a new string based on the that title */
	
	statusText.text = newText;
	[newText release];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
	self.statusText = nil;
}


- (void)dealloc {
	[statusText release];
    [super dealloc];
}

@end
